#!/usr/bin/env python

#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


#
# IMPORTS

from controller.controller import Controller
from model.model import Model
from viewer.viewer import Viewer

#
# CODE
#
def main():
    """
    KoP entry point
    """
    # create the viewer
    viewer = Viewer()

    # create the model
    model = Model()

    # create the controller
    cont = Controller(model, viewer)

    # close the viewer
    viewer.destructor()


main()
