#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


import re

from pykickstart.handlers.control import commandMap
from pykickstart.version import DEVEL

from controller.pkvmerror import PKVMError

Partition = commandMap[DEVEL]['partition']
class Pkvm_Partition(Partition):
    def __init__(self, *args, **kwargs):
        Partition.__init__(self, *args, **kwargs)

    def parse(self, args):
        partitionData= Partition.parse(self, args)

        if not re.match("^(PV|pv)\.[0-9]*$", partitionData.mountpoint):
            errorMsgData = {"pvName": "pv.01"}
            raise PKVMError("055", errorMsgData)

        return partitionData
