#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


from pykickstart.handlers.control import commandMap
from pykickstart.version import DEVEL

from controller.pkvmerror import PKVMError

VolGroup = commandMap[DEVEL]['volgroup']
class Pkvm_VolGroup(VolGroup):
    def __init__(self, *args, **kwargs):
        VolGroup.__init__(self, *args, **kwargs)

    def parse(self, args):
        volGroupData = VolGroup.parse(self, args)

        physicalVolumes = volGroupData.physvols
        if len(set(physicalVolumes)) != len(physicalVolumes):
            raise PKVMError("054")

        return volGroupData
