#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


#
# IMPORTS
#
from snack import *
from viewer.__data__ import  IBM_POWERKVM


#
# CONSTANTS
#

#
# CODE
#
class MessageWindow:
    """
    Verify the hard disk selected is part od a LVM Volume Group
    """

    def __init__(self, screen, params):
        """
        Constructor

        Args:
            screen (SnackScreen): SnackScreen instance
            params (dict): screen input parameters
        """
        self.__screen = screen
        self.__msg = params["msg"]
        self.__grid = GridForm(self.__screen, IBM_POWERKVM.localize() % params["productVersion"], 1, 1)

    def run(self):
        """
        Displays a message

        Args:
            msg (str): message to be displayed

        Returns:
            dict: screen output parameters
        """
        omsg = TextboxReflowed(30, self.__msg)
        self.__grid.add(omsg, 0, 0)
        self.__grid.draw()
        self.__screen.refresh()

        return {}

    def end(self):
        """
        Pop window from windows stack
        """
        self.__screen.popWindow()
