#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


#
# IMPORTS
#
from snack import *

from viewer.__data__ import IBM_POWERKVM
from viewer.__data__ import INSTALLATION_COMPLETED
from viewer.__data__ import REBOOT
from viewer.__data__ import REBOOT_MSG


#
# CONSTANTS
#


#
# CODE
#
class RebootSystem:
    """
    Last screen for the installer application
    """

    def __init__(self, screen, params):
        """
        Constructor

        Args:
            screen (SnackScreen): SnackScreen instance
            params (dict): screen input parameters. Valid keys:
                error str optional error message
        """
        self.__error = params["error"]
        self.__screen = screen
        self.__msg = INSTALLATION_COMPLETED.localize() + REBOOT_MSG.localize()


        #self.__msg = TextboxReflowed(40, self.__msg)
        self.__buttonsBar = ButtonBar(self.__screen, [(REBOOT.localize(), "reboot")])

        self.__grid = GridForm(self.__screen, IBM_POWERKVM.localize() % params["productVersion"], 1, 2)
        #self.__grid.add(self.__msg, 0, 0)
        self.__grid.add(self.__buttonsBar, 0, 1, (0,1,0,0))

    def run(self):
        """
        Draws the screen

        Returns:
            dict: screen output parameters
        """
        if self.__error:
            self.__msg = REBOOT_MSG.localize()

        self.__msg = TextboxReflowed(40, self.__msg)
        self.__grid.add(self.__msg, 0, 0)
        self.__grid.run()

        return {}
